FileSystemResolver
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.resolver
Class FileSystemResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
                  org.apache.ivy.plugins.resolver.RepositoryResolver
                      org.apache.ivy.plugins.resolver.FileSystemResolver

All Implemented Interfaces:
  Validatable, DependencyResolver, HasLatestStrategy

Direct Known Subclasses:
  CacheResolver

    public class FileSystemResolver

extends RepositoryResolver

Field Summary

Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`DATE_FORMAT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED`

Constructor Summary
`FileSystemResolver()`

Method Summary
`void` | `abortPublishTransaction()`
`void` | `addArtifactPattern(java.lang.String pattern)`
`void` | `addConfiguredArtifact(IvyPattern p)`
`void` | `addConfiguredIvy(IvyPattern p)`
`void` | `addIvyPattern(java.lang.String pattern)` example of pattern : ~/Workspace/[module]/[module].ivy.xml
`void` | `beginPublishTransaction(ModuleRevisionId module, boolean overwrite)`
`void` | `commitPublishTransaction()`
`protected java.util.Collection` | `filterNames(java.util.Collection values)` Filters names before returning them in the findXXXNames or findTokenValues method.
`protected java.lang.String` | `getDestination(java.lang.String pattern, Artifact artifact, ModuleRevisionId mrid)`
`java.lang.String` | `getTransactional()`
`java.lang.String` | `getTypeName()`
`boolean` | `isLocal()`
`void` | `setLocal(boolean local)`
`void` | `setTransactional(java.lang.String transactional)`
`boolean` | `supportTransaction()`

Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
`download, dumpSettings, exist, findResourceUsingPattern, findTokenValues, get, getRepository, getResource, isAlwaysCheckExactRevision, listResources, listTokenValues, publish, put, putChecksum, putSignature, setAlwaysCheckExactRevision, setName, setRepository, setSettings, setSigner`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
`convertM2IdForResourceSearch, convertM2OrganizationForResourceSearch, convertM2ResourceSearchIdToNormal, convertM2TokenValuesForResourceSearch, findArtifactNames, findArtifactRef, findIvyFileRef, findIvyNames, findNames, findResource, findResourceUsingPatterns, getArtifactPatterns, getIvyPatterns, getModuleDescriptorExtension, isM2compatible, listTokenValues, setArtifactPatterns, setIvyPatterns, setM2compatible`

Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`acceptLatest, checkModuleDescriptorRevision, clearArtifactAttempts, clearIvyAttempts, doFindArtifactRef, download, exists, findFirstArtifactRef, getAndCheck, getArtifactRef, getChecksumAlgorithms, getDefaultRMDParser, getDependency, getPublicationDate, getRMDParser, getWorkspaceName, isAllownomd, isCheckconsistency, isEnvDependent, isForce, listModules, listOrganisations, listRevisions, listTokenValues, locate, logArtifactAttempt, logAttempt, logIvyAttempt, parse, reportFailure, reportFailure, setAllownomd, setCheckconsistency, setChecksums, setDescriptor, setEnvDependent, setForce, setWorkspaceName, shouldReturnResolvedModule, toString`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver
`checkInterrupted, checkLatest, doValidate, findModuleInCache, findModuleInCache, fromSystem, fromSystem, getCacheDownloadOptions, getCacheOptions, getChangingMatcherName, getChangingPattern, getDownloadOptions, getEventManager, getLatest, getLatestStrategy, getName, getNamespace, getParserSettings, getRepositoryCacheManager, getSettings, getSystemNode, hidePassword, isAfter, isValidate, saveModuleRevisionIfNeeded, setCache, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, setLatest, setLatestStrategy, setNamespace, setRepositoryCacheManager, setValidate, toSystem, toSystem, toSystem, toSystem, toSystem, toSystem, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileSystemResolver

    public FileSystemResolver()

Method Detail

### getTypeName

    public java.lang.String getTypeName()

  Overrides:
    `getTypeName` in class `RepositoryResolver`

### isLocal

    public boolean isLocal()

### setLocal

    public void setLocal(boolean local)

### getDestination

    protected java.lang.String getDestination(java.lang.String pattern,
                                              Artifact artifact,
                                              ModuleRevisionId mrid)

  Overrides:
    `getDestination` in class `RepositoryResolver`

### abortPublishTransaction

    public void abortPublishTransaction()
                                 throws java.io.IOException

  Specified by:
    `abortPublishTransaction` in interface `DependencyResolver`
  Overrides:
    `abortPublishTransaction` in class `AbstractResolver`
  Throws:
    `java.io.IOException`

### commitPublishTransaction

    public void commitPublishTransaction()
                                  throws java.io.IOException

  Specified by:
    `commitPublishTransaction` in interface `DependencyResolver`
  Overrides:
    `commitPublishTransaction` in class `AbstractResolver`
  Throws:
    `java.io.IOException`

### beginPublishTransaction

    public void beginPublishTransaction(ModuleRevisionId module,
                                        boolean overwrite)
                                 throws java.io.IOException

  Specified by:
    `beginPublishTransaction` in interface `DependencyResolver`
  Overrides:
    `beginPublishTransaction` in class `AbstractResolver`
  Throws:
    `java.io.IOException`

### filterNames

    protected java.util.Collection filterNames(java.util.Collection values)

  Description copied from class: `BasicResolver`
  Filters names before returning them in the findXXXNames or findTokenValues method.

  Remember to call the super implementation when overriding this method.

  Overrides:
    `filterNames` in class `BasicResolver`
  Parameters:
    `values` - the list to filter.
  Returns:
    the filtered list

### supportTransaction

    public boolean supportTransaction()

### getTransactional

    public java.lang.String getTransactional()

### setTransactional

    public void setTransactional(java.lang.String transactional)

### addConfiguredIvy

    public void addConfiguredIvy(IvyPattern p)

  Overrides:
    `addConfiguredIvy` in class `AbstractPatternsBasedResolver`

### addIvyPattern

    public void addIvyPattern(java.lang.String pattern)

  Description copied from class: `AbstractPatternsBasedResolver`
  example of pattern : ~/Workspace/[module]/[module].ivy.xml

  Overrides:
    `addIvyPattern` in class `AbstractPatternsBasedResolver`

### addConfiguredArtifact

    public void addConfiguredArtifact(IvyPattern p)

  Overrides:
    `addConfiguredArtifact` in class `AbstractPatternsBasedResolver`

### addArtifactPattern

    public void addArtifactPattern(java.lang.String pattern)

  Overrides:
    `addArtifactPattern` in class `AbstractPatternsBasedResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD